
<html>
  <head>
    <meta charset="utf-8">
    <title>GNUKhata</title>
    <style>
     @page {
	 size: 21cm 29.7cm;
	 margin: 10mm 3mm 15mm 10mm; /* change the margins as you want them to be. */
     }
     td {
	 font-size: 65%;
	 padding: 2px !important;
	 margin:  0 !important;
     }
     body {
	 background-image: none;
     }
     th {
	 font-size: 75%;
	 padding: 3px !important;
	 margin:  0 !important;
     }
     table { page-break-inside:auto }
     tr    { page-break-inside:avoid; page-break-after:auto }
     thead { display: table-header-group; }
     tfoot { display: table-footer-group; }

     .borderdiv {
	 border-left-style:solid;
	 border-width: 1px;
     }
     .nopadding {
	 padding: 0 !important;
	 margin: 0 !important;
     }
     div {
	 font-size:95%;
     }
     .hborderdiv {
	 border-top-style:solid;
	 padding-top: 10px;
	 border-width: 1px;
     }
     .table{
	 margin-bottom:20px;
     }

    </style>
  </head>
  <body>
    <div class="container-fluid">

      {% if delchalflag == 14 %}
	<div class="hidden-print row text-center text-primary newdelchal" hidden>
	  <b>{% trans %}To avoid a URL appearing on your print please set 'Title' option to 'blank' in your browser's print settings. Sample setting for{% endtrans %} <a  href="{{request.static_url('gkwebapp:static/images/print.jpg')}}" target="_blank" class="text-danger"><u>{% trans %}Mozilla Firefox{% endtrans %}</u></a>.</b>
	</div>
	{% if gkresult["delchaldata"]["inoutflag"] == 15%}
	  <div class="row text-center">
	    <h5><u>DELIVERY OUT NOTE </u></h5>
	  </div>
	{% else %}
	  <div class="row text-center">
	    <h5><u>DELIVERY IN NOTE</u></h5>
	  </div>
	{% endif %}
	<div class="row">
	  <div class="col-xs-3" id="logo_div">

            <div class="img-thumbnail img-circle ">
              <div style="position: relative; padding: 0; cursor: pointer;" type="file">
		<img class="img-circle"  style="width: 100px; height: 100px;" id="imgbox">
              </div>
            </div>
	  </div>
	  <div class="col-xs-9 nopaddng">
	    
            <h3>{{org["orgname"]}}</h3>
	   
            {% if org["orgaddr"]!='' %}
              {{org["orgaddr"]}}
            {% endif %}
            {% if org["orgcity"]!='' %}
              , {{org["orgcity"]}}
	    {% endif %}
	    {% if org["orgpincode"] %}
	      - {{org["orgpincode"]}}
            {% endif %}
            {% if org["orgstate"]!='' and org["orgstate"]|string != 'null' %}
              , {{org["orgstate"]}}.
            {% endif %}
	    <br>
            {% if org["orgtelno"]!='' %}
              Contact No.: {{org["orgtelno"]}}
            {% endif %}
            {% if org["orgemail"]!='' %}
              Email : {{org["orgemail"]}}
            {% endif %}
            {% if org["orgfax"] %}
              Fax : {{org["orgfax"]}}
            {% endif %}
            {% if org["orgwebsite"]!='' %}
              Website : {{org["orgwebsite"]}}
            {% endif %}
	    {% if gkresult["delchaldata"]["inoutflag"] == 15 and gkresult["delchaldata"]["taxflag"] == 7 %}
	      <div class="form-group form-inline col-sm-12 nopadding">
		<label for="orgstategstin">{% trans %}GSTIN{% endtrans %} : </label>
		{% if org["orgstategstin"] %}{{ org["orgstategstin"] }}{% endif %}
	      </div>
	    {% endif %}
	  </div>
	</div>
	<br>
	<div class="row">
	  <table class="table table-bordered table-condensed">
	    <thead>
	      <th style="white-space: nowrap">Details of Delivery Note</th>
	      <th style="white-space: nowrap">Details of Receiver | Billed To</th>
	      <th style="white-space: nowrap">Details of Consignee | Shipped To</th>
	    </thead>
	    <tbody>
	      <tr>
		<td>
		  <div class="form-group form-inline col-xs-12 nopadding">
		    <label class="normal"for="bankname">{% trans %}Note No.{% endtrans %} : </label>
		    {{ gkresult["delchaldata"]["dcno"] }}
		  </div>
		  <div class="form-group form-inline col-xs-12 nopadding">
		    <label for="instrument_date" class="normal">{% trans %}Note Date{% endtrans %} : </label>
		    {{ gkresult["delchaldata"]["dcdate"] }}
		  </div>
		  <div class="form-group form-inline col-xs-12 nopadding">
		    <label>
		      {% if gkresult["delchaldata"]["inoutflag"] == 9 %}
			{% trans %}State of Destination{% endtrans %} :
		      {% else %}
			{% trans %}State of Origin{% endtrans %} :
		      {% endif %}
		    </label>
		    {% if gkresult["delchaldata"]["inoutflag"] == 15 %}{{ gkresult["sourcestate"] }}{% endif %}{% if gkresult["delchaldata"]["inoutflag"] == 9 %}{{ gkresult["destinationstate"] }}{% endif %}
		  </div>
		  <div class="form-group form-inline col-xs-12 nopadding">
		    <label for="stcode">{% trans %}State Code{% endtrans %} : </label>
		    {% if gkresult["delchaldata"]["inoutflag"] == 15 %}{{ '%02d' | format(gkresult["sourcestatecode"]| int)  }}{% endif %}{% if gkresult["delchaldata"]["inoutflag"] == 9 %}{{ '%02d' | format(gkresult["taxstatecode"]| int)}}{% endif %}
		  </div>
		  <div class="form-group form-inline col-xs-12 nopadding">
		    <label>
		      {% if gkresult["delchaldata"]["inoutflag"] == 9 %}
			{% trans %}Received At{% endtrans %} :
		      {% else %}
			{% trans %}Dispatch From{% endtrans %} :
		      {% endif %}
		    </label>
		    {% if gkresult["delchaldata"]["goname"] %}{{gkresult["delchaldata"]["goname"]}},{{gkresult["delchaldata"]["goaddr"]}}{% endif %}
		  </div>
		  <div class="form-group form-inline col-xs-12 nopadding">
		    <label for="deliverychallan_consignment">{% trans %}Type of transaction:{% endtrans %}</label>
		    {% if gkresult["delchaldata"]["dcflag"] == 4 %}Sale{% endif %}
		    {% if gkresult["delchaldata"]["dcflag"] == 16 %}Purchase{% endif %}
		    {% if gkresult["delchaldata"]["dcflag"] == 1 %}Approval{% endif %}
		    {% if gkresult["delchaldata"]["dcflag"] == 3 %}Consignment{% endif %}
		    {% if gkresult["delchaldata"]["dcflag"] == 19 %}Sample{% endif %}
		    {% if gkresult["delchaldata"]["dcflag"] == 6 %}Free Replacement{% endif %}
		  </div>
		</td>
		<td>
		  <div class="form-group form-inline col-xs-12 nopadding">
		    <label for="invoice_customer">
		      {% if gkresult["delchaldata"]["inoutflag"] == 9 %}
			{% trans %}Supplier{% endtrans %} :
		      {% else %}
			{% trans %}Customer{% endtrans %} :
		      {% endif %}
		    </label>
		    {{ gkresult["custSupDetails"]["custname"] }}
		  </div>
		  {% if gkresult["delchaldata"]["taxflag"] == 22 %}
		    <div class="form-group form-inline col-xs-12 nopadding">
		      <label for="tin" class=" col-form-label col-form-label-sm" id="transmode">{% trans %}TIN{% endtrans %} : </label>
		      {{ gkresult["custSupDetails"]["custtin"] }}
		    </div>
		    <input type="text" id="taxapplicable" value="22" accesskey="" hidden>
		  {% endif %}
		  {% if gkresult["delchaldata"]["taxflag"] == 7 %}
		    <div class="form-group form-inline col-xs-12 nopadding">
		      <label for="gstin" class=" col-form-label col-form-label-sm" id="transmode">{% trans %}GSTIN{% endtrans %} : </label>
		      {{ gkresult["custSupDetails"]["custgstin"] }}
		    </div>
		    <input type="text"  id="taxapplicable" value="7" accesskey="" hidden>
		  {% endif %}
		  <div class="form-group form-inline col-xs-12 nopadding">
		    <label>
		      {% if gkresult["delchaldata"]["inoutflag"] == 9 %}
			{% trans %}Supplier State{% endtrans %} :
		      {% else %}
			{% trans %}Customer State{% endtrans %} :
		      {% endif %}
		    </label>
		    {% if gkresult["delchaldata"]["inoutflag"] == 9 %}{{ gkresult["sourcestate"] }}{% endif %}
		    {% if gkresult["delchaldata"]["inoutflag"] == 15 %}{{ gkresult["destinationstate"] }}{% endif %}
		  </div>
		  <div class="form-inline form-group col-xs-12 nopadding">
		    <label for="stcode">{% trans %}State Code{% endtrans %} : </label>
		    {% if gkresult["delchaldata"]["inoutflag"] == 9 %}{{ '%02d' | format(gkresult["sourcestatecode"]| int) }}{% endif %}
		    {% if gkresult["delchaldata"]["inoutflag"] == 15 %}{{ '%02d' | format(gkresult["taxstatecode"] | int) }}{% endif %}
		  </div>
		  <div class="form-inline form-group col-xs-12 nopadding">
		    <label>
		      {% if gkresult["delchaldata"]["inoutflag"] == 9 %}
			<label>{% trans %}Supplier Address{% endtrans %} :</label>
		      {% else %}
			<label>{% trans %}Customer Address{% endtrans %} :</label>
		      {% endif %}
		    </label>
		    {{ gkresult["custSupDetails"]["custaddr"] }}
			</div>
			<div class="form-inline form-group col-xs-12 nopadding">
		    <label>
			<label>{% trans %}PIN Code{% endtrans %} :</label>
		    </label>
				{% if gkresult["custSupDetails"]["pincode"] %}{{ gkresult["custSupDetails"]["pincode"] }}{% endif %}
				
		  </div>
		</td>
		<td>
		  <div class="form-inline form-group col-xs-12 nopadding">
		    <label for="consignee" class=" col-form-label col-form-label-sm" id="consigneelbl">{% trans %}Name{% endtrans %} : </label>
		    {% if gkresult["delchaldata"]["consignee"] %}{{ gkresult["delchaldata"]["consignee"]["consigneename"] }}{% else %}N/A{% endif %}
		  </div>
		  {% if gkresult["delchaldata"]["taxflag"] == 22 %}
		    <div class="form-inline form-group col-xs-12 nopadding">
		      <label for="tinconsignee" class=" col-form-label col-form-label-sm" id="transmode">{% trans %}TIN{% endtrans %} :</label>
		      {% if gkresult["delchaldata"]["consignee"] %}{{ gkresult["delchaldata"]["consignee"]["tinconsignee"] }}{% else %}N/A{% endif %}
		    </div>
		  {% endif %}
		  {% if gkresult["delchaldata"]["taxflag"] == 7 %}
		    <div class="form-inline form-group col-xs-12 nopadding">
		      <label for="gstinconsignee" class=" col-form-label col-form-label-sm" id="transmode">{% trans %}GSTIN{% endtrans %} :</label>
		      {% if gkresult["delchaldata"]["consignee"] %}{{ gkresult["delchaldata"]["consignee"]["gstinconsignee"] }}{% else %}N/A{% endif %}
		    </div>
		  {% endif %}
		  <div class="form-inline form-group  col-xs-12 nopadding">
		    <label for="consigneeaddress" class=" col-form-label col-form-label-sm" id="consigneeaddress">{% trans %}Address :{% endtrans %}</label>
		    {% if gkresult["delchaldata"]["consignee"] %}{{ gkresult["delchaldata"]["consignee"]["consigneeaddress"] }}{% else %}N/A{% endif %}
			</div>
			<div class="form-inline form-group  col-xs-12 nopadding">
		    <label for="consigneepincode" class=" col-form-label col-form-label-sm" id="consigneepincode">{% trans %}PIN Code :{% endtrans %}</label>
		    {% if gkresult["delchaldata"]["consignee"] %}{{ gkresult["delchaldata"]["consignee"]["consigneepincode"] }}{% endif %}
		  </div>
		  <div class="form-inline form-group col-xs-12 nopadding">
		    <label for="orgstate">{% trans %}State{% endtrans %} :</label>
		    {% if gkresult["delchaldata"]["consignee"] %}{{ gkresult["delchaldata"]["consignee"]["consigneestate"] }}{% else %}N/A{% endif %}
		  </div>
		  <div class="form-inline form-group col-xs-12 nopadding">
		    <label for="stcode">{% trans %}State Code{% endtrans %} :</label>
		    {% if gkresult["delchaldata"]["consignee"] %}{{ '%02d' | format(gkresult["delchaldata"]["consignee"]["consigneestatecode"] | int) }}{% else %}N/A{% endif %}
			</div>
		</td>
		<tr>
	    </tbody>
	  </table>
	</div>
	{% if gkresult["delchaldata"]["taxflag"] == 22 %}
	  <div class="row">
	    <label for="tax applicable" name="taxflag">{% trans %}Tax Applicable{% endtrans %} :</label>
	    VAT
	  </div>
	  <div class="row">
	    <br>
	    <table class=" table table-condensed table-bordered">
	      <thead class="bg-primary">
		<tr>
		  <th class="mdvwrap text-center">{% trans %}Product{% endtrans %}</th>
		  <th class="qtyvwrap text-center">{% trans %}Billed Quantity{% endtrans %}</th>
		  <th class="qtyvwrap text-center">{% trans %}Free Quantity{% endtrans %}</th>
		  <th class="smvwrap text-center">{% trans %}Rate{% endtrans %}</th>
		  <th class="smvwrap text-center">
		    {% if gkresult["discflag"]|int == 1 %}{% trans %}Discount Amount{% endtrans %}{%else%}{% trans %}Discount %{% endtrans %}{%endif%}</th>
		  <th class="smvwrap text-center">{% trans %}Taxable Value{% endtrans %}</th>
		  <th class="ratewrap text-center">{% trans %}Tax Rate{% endtrans %} %</th>
		  <th class="smvwrap text-center">{% trans %}Tax Amount{% endtrans %}</th>
		  <th class="smvwrap text-center">{% trans %}Total{% endtrans %}</th>
		</tr>
	      </thead>
	      <tbody>
		{% for product in gkresult["delchalContents"] %}
		  <tr>
		    <td>
		      <small>{{ gkresult["delchalContents"][product]["proddesc"] }}</small>
		    </td>
		    <td class="text-right">
		      <small>{{ gkresult["delchalContents"][product]["qty"] }} {{ gkresult["delchalContents"][product]["uom"] }}</small>
		    </td>
		    <td class="text-right">
		      <small>{{ gkresult["delchalContents"][product]["freeqty"] }} {{ gkresult["delchalContents"][product]["uom"] }}</small>
		    </td>

		    <td class="text-right">
		      <small>{{ gkresult["delchalContents"][product]["priceperunit"] }}</small>
		    </td>
		    <td class="text-right">
		      <small>{{ gkresult["delchalContents"][product]["discount"] }}{% if gkresult["discflag"]|int == 1 %}%{%endif%}</small>
		    </td>
		    <td class="text-right">
		      <small>{{ gkresult["delchalContents"][product]["taxableamount"] }}</small>
		    </td>
		</td>
		<td class="text-right">
		  <small>{{ gkresult["delchalContents"][product]["taxrate"] }}</small>
		</td>
		<td class="text-right">
		  <small>{{ gkresult["delchalContents"][product]["taxamount"] }}</small>
		</td>
		<td class="text-right">
		  {{ gkresult["delchalContents"][product]["totalAmount"] }}
		</td>
		  </tr>
		{% endfor %}
	      </tbody>
	      <tfoot>
		<tr>
		  <td colspan="4" class="text-right">
		    {% trans %}Total{% endtrans %}
		  </td>
		  <td class="text-right">
		    {% if gkresult["discflag"]|int == 1 %}{{ gkresult["totaldiscount"] }}{%endif%}
		  </td>
		  <td class="text-right">
		    {{ gkresult["totaltaxablevalue"] }}
		  </td>
		  <td>

		  </td>
		  <td class="text-right">
		    {{ gkresult["totaltaxamt"] }}
		  </td>
		  <td class="text-right">
		    {{ gkresult["invoicetotal"] }}
		  </td>
		</tr>
	      </tfoot>

	    </table>
	  </div>
		      {% else %}
	  <div class="row">
	    <label for="tax applicable" name="taxflag">{% trans %}Tax Applicable{% endtrans %} :</label>
	    GST
	  </div>
	  <br>
	  <div class="row">
	    <table class="table table-condensed table-bordered">
	      <thead class="bg-primary">
		<tr>
		  <th rowspan="2" class="text-center"><small>{% trans %}Product{% endtrans %}</small></th>
		  <th rowspan="2" class="text-center"><small>{% trans %}HSN/SAC {% endtrans %}</small></th>
		  <th rowspan="2" class="text-center"><small>{% trans %}Billed Qty{% endtrans %}</small></th>
		  <th rowspan="2" class="text-center"><small>{% trans %}Free Qty{% endtrans %}</small></th>
		  <th rowspan="2" class="text-center"><small>{% trans %}Rate{% endtrans %}</small></th>
		  <th rowspan="2" class="text-center"><small>{% if gkresult["discflag"]|int == 1 %}{% trans %}Discount Amount{% endtrans %}{%else%}{% trans %}Discount %{% endtrans %}{%endif%}</th></small></th>
	      <th rowspan="2" class="text-center"><small>{% trans %}Taxable Value {% endtrans %}</small></th>
	      {% if gkresult["taxname"]=='SGST' %}<th colspan="2" class="text-center"><small>{% trans %}CGST{% endtrans %}</small></th>{% endif %}
	      {% if gkresult["taxname"]=='SGST' %}<th colspan="2" class="text-center"><small>{% trans %}SGST/UTGST{% endtrans %}</small></th>{% endif %}
	      {% if gkresult["taxname"]=='IGST' %}<th colspan="2" class="text-center"><small>{% trans %}IGST{% endtrans %}</small></th>{% endif %}
	      <th colspan="2" class="text-center"><small>{% trans %}CESS{% endtrans %}</small></th>
	      <th rowspan="2" class="text-center"><small>Total</small></th>
		</tr>

		<tr>
		  {% if gkresult["taxname"]=='SGST' %}<th class="text-center" style="white-space: nowrap"><small>{% trans %}Rate{% endtrans %} %</small></th>{% endif %}
		  {% if gkresult["taxname"]=='SGST' %}<th class="text-center"><small>{% trans %}Amount{% endtrans %}</small></th>{% endif %}
		  {% if gkresult["taxname"]=='SGST' %}<th class="text-center" style="white-space: nowrap"><small>{% trans %}Rate{% endtrans %} %</small></th>{% endif %}
		  {% if gkresult["taxname"]=='SGST' %}<th class="text-center"><small>{% trans %}Amount{% endtrans %}</small></th>{% endif %}
		  {% if gkresult["taxname"]=='IGST' %}<th class="text-center" style="white-space: nowrap"><small>{% trans %}Rate{% endtrans %} %</small></th>{% endif %}
		  {% if gkresult["taxname"]=='IGST' %}<th class="text-center"><small>{% trans %}Amount{% endtrans %}</small></th>{% endif %}
		  <th class="text-center"><small>{% trans %}Rate{% endtrans %} %</small></th>
		  <th class="text-center"><small>{% trans %}Amount{% endtrans %}</small></th>
		</tr>
	      </thead>
	      <tbody>
		{% for product in gkresult["delchalContents"] %}
		  <tr>
		    <td>
		      <small>{{ gkresult["delchalContents"][product]["proddesc"] }}</small>
		    </td>
		    <td class="text-center">
		      <small>{{ gkresult["delchalContents"][product]["gscode"] }}</small>
		    </td>
		    <td class="text-right">
		      <small>{{ gkresult["delchalContents"][product]["qty"] }} {{ gkresult["delchalContents"][product]["uom"] }}</small>
		    </td>
		    <td class="text-right">
		      <small>{{ gkresult["delchalContents"][product]["freeqty"] }} {{ gkresult["delchalContents"][product]["uom"] }}</small>
		    </td>

		    <td class="text-right">
		      <small>{{ gkresult["delchalContents"][product]["priceperunit"] }}</small>
		    </td>
		    <td class="text-right">
		      <small>{{ gkresult["delchalContents"][product]["discount"] }}{% if gkresult["discflag"]|int == 16 %}%{%endif%}</small>
		    </td>
		    <td class="text-right">
		      <small>{{ gkresult["delchalContents"][product]["taxableamount"] }}</small>
		    </td>

		    {% if gkresult["delchalContents"][product]["taxname"]=='SGST' %}<td class="text-right"><small>{{ gkresult["delchalContents"][product]["taxrate"] }}</small></td>{% endif %}
		    {% if gkresult["delchalContents"][product]["taxname"]=='SGST' %}<td class="text-right"><small>{{ gkresult["delchalContents"][product]["taxamount"] }}</small></td>{% endif %}

		    {% if gkresult["delchalContents"][product]["taxname"]=='SGST' %}<td class="text-right"><small>{{ gkresult["delchalContents"][product]["taxrate"] }}</td></small>{% endif %}
		    {% if gkresult["delchalContents"][product]["taxname"]=='SGST' %}<td class="text-right"><small>{{ gkresult["delchalContents"][product]["taxamount"] }}</small></td>{% endif %}

		    {% if gkresult["delchalContents"][product]["taxname"]=='IGST' %}<td class="text-right"><small>{{ gkresult["delchalContents"][product]["taxrate"] }}</small></td>{% endif %}
		    {% if gkresult["delchalContents"][product]["taxname"]=='IGST' %}<td class="text-right">{{ gkresult["delchalContents"][product]["taxamount"] }}</td>{% endif %}
		    <td class="text-right"><small>{{ gkresult["delchalContents"][product]["cessrate"] }}</small></td>
                    <td class="text-right"><small>{{ gkresult["delchalContents"][product]["cess"] }}</small></td>
                    <td class="text-right">{{ gkresult["delchalContents"][product]["totalAmount"] }}</td>
		  </tr>
		{% endfor %}
	      </tbody>
	      <tfoot>
		<tr>
		  <td colspan="5" class="text-right" style="vertical-align:middle; font-size:75%">Total</td>
		  <td class="text-right">{% if gkresult["discflag"]|int == 1 %}{{ gkresult["totaldiscount"] }}{%endif%}</td>
		  <td class="text-right">{{ gkresult["totaltaxablevalue"] }}</td>
		  {% if gkresult["taxname"]=='SGST' %}<td colspan="2" class="text-right">{{ gkresult["totaltaxamt"] }}</td>{% endif %}
		  {% if gkresult["taxname"]=='SGST' %}<td colspan="2" class="text-right">{{ gkresult["totaltaxamt"] }}</td>{% endif %}
		  {% if gkresult["taxname"]=='IGST' %}<td colspan="2" class="text-right">{{ gkresult["totaltaxamt"] }}</td>{% endif %}
		  <td colspan="2" class="text-right">{{ gkresult["totalcessamt"] }}</td>
		  <td class="text-right">
		    {{ gkresult["delchaltotal"] }}
		  </td>
		</tr>
	      </tfoot>
	    </table>
	  </div>
	{% endif %}
	<div class="row">
	  <div class="col-sm-6 nopadding">
	    <div class="row col-sm-12">
	      <table class="table table-bordered table-condensed">
		<tbody>
		  <tr>
		    <td>
		      <label for="deliverychallan_noofpackages">{% trans %}Number of Packages{% endtrans %} :</label>
		    </td>
		    <td>
		      {{gkresult["delchaldata"]["noofpackages"]}}  
		    </td>
		  </tr>
		  <tr>
		    <td>
		      <label for="transportationmode" id="transmode">{% trans %}Mode of Transportation{% endtrans %} :</label>
		    </td>
		    <td>
		      {% if gkresult["delchaldata"]["modeoftransport"] %}{{ gkresult["delchaldata"]["modeoftransport"] }}{% else %}N/A{% endif %}
		    </td>
		  </tr>
		  <tr>
		    {% if gkresult["delchaldata"]["vehicleno"] %}
		      <td>
			<label for="inv">{% trans %}Vehicle No.{% endtrans %} :</label>
		      </td>
		      <td>
			{{ gkresult["delchaldata"]["vehicleno"] }}
		      </td>
		    {% endif %}
		  </tr>
		  <tr>
		    <td>
		      <label for="invoice_issuer_name">{% trans %}Issuer's Name{% endtrans %} :</label>
		    </td>
		    <td>
		      {{ gkresult["delchaldata"]["issuername"]}}
		    </td>
		  </tr>
		  <tr>
		    <td>
		      <label for="issuer_designation">{% trans %}Designation{% endtrans %} :</label>
		    </td>
		    <td>
		      {{ gkresult["delchaldata"]["designation"]}}
		    </td>
		  </tr>
		  <tr>
		    <td>
		      <label for="supply_date">{% trans %}Date of Supply{% endtrans %}:</label>
		    </td>
		    <td>
		      {% if gkresult["dateofsupply"] %}{{ gkresult["dateofsupply"] }}{% else %}N/A{% endif %}
		    </td>
		  </tr>
		</tbody>
	      </table>
	    </div>
	    <div class=" row col-sm-12">
              <label for="notes" class="hidden-print">Note :</label>
              <textarea name="name" row='3' id="notes" class="form-control hidden-print" id="notes"></textarea>
              <p class="visible-print" id = "notespara">
              </p>
	    </div>  
	  </div>
	  <div class="col-sm-2 nopadding">
	    <div class="row">
	    </div>
	  </div>
	  <div class="col-sm-4 nopadding">
	    <div class="row">
	      <div class="form-group form-inline">
		<div class="col-sm-6">
		  <label for="taxableamount" style="font-size:130% !important;">{% trans %}Taxable Value{% endtrans %} :</label>
		</div>
		<div class="col-sm-6 text-right">
		  <label id="taxableamount" style="font-size:130% !important; font-weight:normal !important">{{ gkresult["totaltaxablevalue"] }}</label>
		</div>
	      </div>
	    </div>
	    {% if gkresult["delchaldata"]["taxflag"] == 7 %}
	      {% if gkresult["taxname"]=='SGST' %}
		<div class="row hborderdiv gstfield sgstfield">
		  <div class="form-group form-inline sgstfield">
		    <div class="col-sm-6">
		      <label for="totalsgtax" style="font-size:130% !important;">{% trans %}Total SGST{% endtrans %} :</label>
		    </div>
		    <div class="col-sm-6 text-right">
		      <label id="totalsgtax" style="font-size:130% !important; font-weight:normal !important"> {{ gkresult["totaltaxamt"] }} </label>
		    </div>
		  </div>
		</div>
		<div class="row hborderdiv gstfield sgstfield">
		  <div class="form-group sgstfield form-inline">
		    <div class="col-sm-6">
		      <label for="totalcgtax" style="font-size:130% !important;">{% trans %}Total CGST{% endtrans %} :</label>
		    </div>
		    <div class="col-sm-6 text-right">
		      <label id="totalcgtax" style="font-size:130% !important; font-weight:normal !important"> {{ gkresult["totaltaxamt"] }} </label>
		    </div>
		  </div>
		</div>
	      {% endif %}
	      {% if gkresult["taxname"]=='IGST' %}
		<div class="row hborderdiv gstfield igstfield">
		  <div class="form-group igstfield form-inline">
		    <div class="col-sm-6">
		      <label for="totaligtax" style="font-size:130% !important;">{% trans %}Total IGST{% endtrans %} :</label>
		    </div>
		    <div class="col-sm-6 text-right">
		      <label id="totaligtax" style="font-size:130% !important; font-weight:normal !important"> {{ gkresult["totaltaxamt"] }} </label>
		    </div>
		  </div>
		</div>
	      {% endif %}
	      <div class="row hborderdiv gstfield">
		<div class="form-group form-inline">
		  <div class="col-sm-6">
		    <label for="totalinvcess" style="font-size:130% !important;">{% trans %}Total CESS{% endtrans %} :</label>
		  </div>
		  <div class="col-sm-6 text-right">
		    <label id="totalinvcess" style="font-size:130% !important; font-weight:normal !important"> {{ gkresult["totalcessamt"] }} </label>
		  </div>
		</div>
	      </div>
	    {% else %}
	      <div class="row hborderdiv vatfield">
		<div class="form-group form-inline">
		  <div class="col-sm-6">
		    <label for="totalinvtax" style="font-size:130% !important;">{% trans %}Total Tax{% endtrans %} :</label>
		  </div>
		  <div class="col-sm-6 text-right">
		    <label id="totalinvtax" style="font-size:130% !important; font-weight:normal !important"> {{ gkresult["totaltaxamt"] }} </label>
		  </div>
		</div>
	      </div>
	    {% endif %}
	    <div class="row hborderdiv">
	      <div class="form-group form-inline">
		<div class="col-sm-6">
		  <label for="totalinvdiscount" style="font-size:130% !important;">{% trans %}Total Discount{% endtrans %} :</label>
		</div>
		<div class="col-sm-6 text-right">
		  <label id="totalinvdiscount" style="font-size:130% !important; font-weight:normal !important"> {{ gkresult["totaldiscount"] }} </label>
		</div>
	      </div>
	    </div>
	    <div class="row hborderdiv" >
	      <div class="form-group form-inline">
		<div class="col-sm-6">
		  <label for="totalinvoicevalue" style="font-size:130% !important;">{% trans %}Grand Total{% endtrans %} :</label>
		</div>
		<div class="col-sm-6 text-right">
		  <label id="totalinvoicevalue" style="font-size:130% !important; font-weight:normal !important"> {{ gkresult["delchaldata"]["delchaltotal"] }} </label>
		</div>
	      </div>
	    </div>
			{% if gkresult["delchaldata"]["roundoffflag"] == 1  %}
			<div class="row hborderdiv" style="border-bottom-style:solid;">
	      <div class="form-group form-inline">
		<div class="col-sm-6">
		  <label for="totalinvoicevalueroundoff" style="font-size:130% !important;">{% trans %}Grand Total :<br>(<i> Rounded Off </i>){% endtrans %} </label>
		</div>
		<div class="col-sm-6 text-right">
		  <label id="totalinvoicevalueroundoff" style="font-size:130% !important; font-weight:normal !important"> {{ gkresult["delchaldata"]["roundedoffvalue"] }} </label>
		</div>
	      </div>
				{% endif %}
	    </div>
	  </div>
	</div>
	<div class="row">
	  
	</div>

	<div class="row">
	  <div class="col-xs-6">
	    <strong><i>Thank you!</i></strong>
	  </div>
	  <div class="text-right col-xs-6">
	    <strong>{{ gkresult["delchaldata"]["issuername"] }}</strong>
	    <br>
	    {% if gkresult["delchaldata"]["designation"] !='' %}
	      <i>({{ gkresult["delchaldata"]["designation"] }})</i>
	    {% endif %}
	  </div>
	</div>
      {% endif %}
      {% if delchalflag == 15 %}
	<div class="row olddelchal">

	  <div class="col-xs-6">
            <div class="row">
              <div class="col-xs-6" id="logo_div">

		<div class="img-thumbnail img-circle ">
		  <div style="position: relative; padding: 0; cursor: pointer;" type="file">
		    <img class="img-circle"  style="width: 100px; height: 100px;" id="imgbox">
		  </div>
		</div>
              </div>
              <div class="col-xs-6">
		<h4>{{org["orgname"]}}</br>
		  <small>
		    {% if org["orgaddr"]!='' %}
		      {{org["orgaddr"]}},
		    {% endif %}
		    {% if org["orgcity"]!='' %}
            </br>{{org["orgcity"]}} - {{org["orgpincode"]}},
		    {% endif %}
		    {% if org["orgstate"]!='' %}
            </br>{{org["orgstate"]}}.
		    {% endif %}
		    {% if org["orgtelno"]!='' %}
            </br>Contact No.: {{org["orgtelno"]}}
		    {% endif %}
		    {% if org["orgemail"]!='' %}
		      <br>Email : {{org["orgemail"]}}
		    {% endif %}
		    {% if org["orgfax"] %}
		      <br>Fax : {{org["orgfax"]}}
		    {% endif %}
		    {% if org["orgwebsite"]!='' %}
		      <br>Website : {{org["orgwebsite"]}}
		    {% endif %}
		    <br></small></h4>

              </div>
	    </div>
            <hr style="border-color:grey;margin-top:0px; margin-bottom:0px;">
            {% if godown!='' %}
              <h4><small>Godown: {{godown["goname"]}}
		<br>{{godown["goaddr"]}},<br>{{godown["state"]}},
		{% if godown["contactname"]!='' %}
		  <br>Contact : {{godown["contactname"]}} - {{godown["gocontact"]}}
		{% endif %}
              </small></h4>
              <hr style="border-color:grey;margin-top:0px; margin-bottom:0px;">
            {% endif %}
	    <div class="row">
	      <div class="form-group col-sm-6">
		To,
		<h4>{{cust["custname"]}}</br><small>{{cust["custaddr"]}},</br>{{cust["state"]}}
		  {% if cust["custphone"]!='' %}
		    <br>Contact No.: {{cust["custphone"]}}
		  {% endif %}
		  {% if cust["custemail"]!='' %}
		    <br>Email : {{cust["custemail"]}}
		  {% endif %}
		</small></h4>
	      </div>
	      <div class="form-group col-sm-6">
		{% if gkresult["delchaldata"]["consignee"] %}
		  Consignee Details :
		  <h4>{{gkresult["delchaldata"]["consignee"]["consigneename"]}}<br>
		    <small>{{gkresult["delchaldata"]["consignee"]["consigneeaddress"]}},<br>
		      {{gkresult["delchaldata"]["consignee"]["consigneestate"]}}</small></h4>
		{% endif %}
	      </div>
	    </div>
	  </div>
	  <div class="col-sm-offset-1 col-sm-5">
            <h2 class="text-right">Delivery Note</h2><br>
            <table class="table table-bordered">
              <tbody>
		<tr>
		  <td class="col-xs-5">
                    <strong>Note No.</strong>
		  </td>
		  <td class="text-right">
                    {{gkresult["delchaldata"]["dcno"]}}
		  </td>
		</tr>
		<tr>
                  <td class="col-xs-5">
                    <strong>Date</strong>
                  </td>
                  <td class="text-right">
                    {{gkresult["delchaldata"]["dcdate"]}}
                  </td>
		</tr>
		<tr>
		  <td class="col-xs-5">
                    <strong>Type</strong>
		  </td>
		  <td class="text-right">
		    {% if gkresult["delchaldata"]["dcflag"] == 4 %}Sale{% endif %}
		    {% if gkresult["delchaldata"]["dcflag"] == 16 %}Purchase{% endif %}
		    {% if gkresult["delchaldata"]["dcflag"] == 1 %}Approval{% endif %}
		    {% if gkresult["delchaldata"]["dcflag"] == 3 %}Consignment{% endif %}
		    {% if gkresult["delchaldata"]["dcflag"] == 19 %}Sample{% endif %}
		    {% if gkresult["delchaldata"]["dcflag"] == 6 %}Free Replacement{% endif %}
		  </td>
		</tr>
              </tbody>
            </table>
	  </div>
	</div>

	<div class="row">
	  <div class="col-xs-12">

            <table class="table table-bordered table-condensed" style="margin-bottom:0px;">
              <thead class="bg-primary" style="border-bottom-style:double; border-top-style:double;">
		<tr>
                  <th>
                    Description
                  </th>
                  <th class="text-right">
                    Qty
                  </th>
		</tr>
              </thead>
              <tbody>
		{% for product in gkresult["stockdata"] %}
		  <tr>
		    <td>
                      {{gkresult["stockdata"][product]["productdesc"]}}
		    </td>
		    <td class="text-right">
                      {{gkresult["stockdata"][product]["qty"]}}
		    </td>
		  </tr>
		{% endfor %}
              </tbody>
            </table>
            <hr style="border-color:grey;margin-top:0px; margin-bottom:0px;">
	  </div>
	</div>


	<div class="row">
	  <div class="col-xs-7">
            <label for="notes" class="hidden-print">Notes :</label>
            <textarea name="name" row='3' id="notes" class="form-control hidden-print" id="notes"></textarea>
            <p class="visible-print" id = "notespara">
            </p>
	  </div>

	</div>
	<br>
	<div class="row">
          <div class="col-xs-6">
            <strong><i>Thank you!</i></strong>
          </div>
          <div class="text-right col-xs-6">
            <strong>{{gkresult["delchaldata"]["issuername"]}}</strong>
            {% if gkresult["delchaldata"]["designation"]!='' %}
              <i>({{gkresult["delchaldata"]["designation"]}})</i>
            {% endif %}
          </div>
	</div>
      {% endif %}
      <span style="margin:auto; display:table;">
    	<button type="button" class="btn btn-sm btn-danger hidden-print" id="delchalback" accesskey="k">{% trans %}Bac<u>k</u>{% endtrans %}</button>
    	<button type="button" class="btn btn-sm btn-info hidden-print" id="delchalprint" accesskey="t">{% trans %}Prin<u>t</u>{% endtrans %}</button>
      </span>
    </div>
    <script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/printdeliverychallan.js')}}"></script>
  </body>
</html>
